import cv2
import os
import glob
import numpy as np
from matplotlib import pyplot as plt
from joblib import Parallel, delayed
#from PIL import Image, ImageChops


in_dir = 'train_1/red/'
out_dir = 'train_4/red/'
JPEG_FILES = glob.glob( os.path.join(in_dir, '*.png'))


def convert(img_file):
	im = cv2.imread(img_file,0)
	edges = cv2.Canny(im,75,180)
	#equ = cv2.equalizeHist(im)
	#res = np.hstack((im,equ))
	#clahe = cv2.createCLAHE(clipLimit=2.0, tileGridSize=(8,8))
	#cl1 = clahe.apply(im)
	#im = Image.open(img_file)
	#im.resize((IMAGE_SIZE,IMAGE_SIZE)).save(out_dir + os.path.basename(img_file), 'JPEG')
	#for grayscale
	#import Image
	#img = Image.open('image.png').convert('LA')
	#img.save('greyscale.png')
	#this means i have to write
	#im=im.resize((IMAGE_SIZE,IMAGE_SIZE))
	#img=im.convert('LA')
	#img.save(out_dir + os.path.splitext(os.path.basename(img_file))[0], 'png')
	cv2.imwrite(out_dir + os.path.splitext(os.path.basename(img_file))[0]+'.png',edges)

#Parallel(n_jobs=32, verbose=10)(delayed(convert)(f) for f in JPEG_FILES)

Parallel(n_jobs=32, verbose=10)(delayed(convert)(f) for f in JPEG_FILES)




# img = cv2.imread('wiki.jpg',0)
# equ = cv2.equalizeHist(img)
# cv2.imwrite('res.png',res)#will print the images
