import os
import glob
from joblib import Parallel, delayed
from PIL import Image, ImageChops


#in_dir = 'ttt/test/'
in_dir = 'image/'
out_dir = 'train_95/'
IMAGE_SIZE = 256


JPEG_FILES = glob.glob(in_dir+'*.jpeg')
def convert(img_file):
	im = Image.open(img_file)
	#im.resize((IMAGE_SIZE,IMAGE_SIZE)).save(out_dir + os.path.basename(img_file), 'JPEG')
	#for grayscale
	#import Image
	#img = Image.open('image.png').convert('LA')
	#img.save('greyscale.png')
	#this means i have to write
	im=im.resize((IMAGE_SIZE,IMAGE_SIZE))
	# img=im.convert('LA')
	im.save(out_dir + os.path.splitext(os.path.basename(img_file))[0]+'.png', 'png')

Parallel(n_jobs=32, verbose=10)(delayed(convert)(f) for f in JPEG_FILES)
	
