import os
import glob
from joblib import Parallel, delayed
from PIL import Image, ImageChops
import cv2
import numpy

#in_dir = 'ttt/test/'
in_dir = 'train_95/'
out_dir1 = 'train_96/blue/'
out_dir2 = 'train_96/green/'
out_dir3 = 'train_96/red/'
IMAGE_SIZE = 256


JPEG_FILES = glob.glob(in_dir+'*.png')
def convert(img_file):
	im = cv2.imread(img_file)
	# im=cv2.resize(im,(IMAGE_SIZE,IMAGE_SIZE))
	b,g,r= cv2.split(im)
	a = numpy.zeros(shape=(IMAGE_SIZE,IMAGE_SIZE))
	# x1=numpy.dstack((b,a,a))
	# x2=numpy.dstack((g,a,a))
	# x3=numpy.dstack((r,a,a))
	#im.resize((IMAGE_SIZE,IMAGE_SIZE)).save(out_dir + os.path.basename(img_file), 'JPEG')
	#for grayscale
	#import Image
	#img = Image.open('image.png').convert('LA')
	#img.save('greyscale.png')
	#this means i have to write
	# gray_image = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)
	# img1=cv2.cvtColor(x1, cv2.COLOR_BGR2GRAY)
	# img2=cv2.cvtColor(x2, cv2.COLOR_BGR2GRAY)
	# img3=cv2.cvtColor(x3, cv2.COLOR_BGR2GRAY)
	cv2.imwrite(out_dir1 + os.path.splitext(os.path.basename(img_file))[0]+'.png',b)
	cv2.imwrite(out_dir2 + os.path.splitext(os.path.basename(img_file))[0]+'.png',g)
	cv2.imwrite(out_dir3 + os.path.splitext(os.path.basename(img_file))[0]+'.png',r)
	# img1.save(out_dir1 + os.path.splitext(os.path.basename(img_file))[0]+'.png', 'png')
	# img2.save(out_dir2 + os.path.splitext(os.path.basename(img_file))[0]+'.png', 'png')
	# img3.save(out_dir3 + os.path.splitext(os.path.basename(img_file))[0]+'.png', 'png')

Parallel(n_jobs=32, verbose=10)(delayed(convert)(f) for f in JPEG_FILES)
	
