#for otsu's thresholding i will see http://www.bogotobogo.com/python/OpenCV_Python/python_opencv3_Image_Global_Thresholding_Adaptive_Thresholding_Otsus_Binarization_Segmentations.php
import cv2
import os
import glob
import numpy as np
from matplotlib import pyplot as plt
from joblib import Parallel, delayed
#from PIL import Image, ImageChops


in_dir = 'train_2/blue/'
out_dir = 'train_3/blue/'
JPEG_FILES = glob.glob( os.path.join(in_dir, '*.png'))


def convert(img_file):
	im = cv2.imread(img_file,0)
	img = cv2.medianBlur(im,0)
	# ret,th1 = cv2.threshold(img,127,255,cv2.THRESH_BINARY) 
	# th2 = cv2.adaptiveThreshold(img,255,cv2.ADAPTIVE_THRESH_MEAN_C,cv2.THRESH_BINARY,11,2) 
	# blur = cv2.GaussianBlur(img,(5,5),0)
	# ret3,th3 = cv2.threshold(blur,0,255,cv2.THRESH_BINARY+cv2.THRESH_OTSU)
	th3 = cv2.adaptiveThreshold(img,255,cv2.ADAPTIVE_THRESH_GAUSSIAN_C,cv2.THRESH_BINARY,45,0)
	cv2.imwrite(out_dir + os.path.splitext(os.path.basename(img_file))[0]+'.png',th3)



Parallel(n_jobs=32, verbose=10)(delayed(convert)(f) for f in JPEG_FILES)




# img = cv2.imread('wiki.jpg',0)
# equ = cv2.equalizeHist(img)
# cv2.imwrite('res.png',res)#will print the images
